Bug 1098764 - opal is build failed with linux-glibc-devel 4.17
opal is build failed with linux-glibc-devel 4.17
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Jan Engelhardt
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-22 08:53 UTC by Max Lin
Modified: 2020-02-06 23:35 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Max Lin 2018-06-22 08:53:07 UTC
opal is build failed with linux-glibc-devel[1]

[  250s] error: Directory not found: /home/abuild/rpmbuild/BUILDROOT/opal-3.10.10-12.10.x86_64/usr/lib64/opal-3.10.10/lid
[  250s] error: File not found: /home/abuild/rpmbuild/BUILDROOT/opal-3.10.10-12.10.x86_64/usr/lib64/opal-3.10.10/lid/ixj_lid_pwplugin.so
[  250s] Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.dibJEC
[  250s] + umask 022
[  250s] + cd /home/abuild/rpmbuild/BUILD
[  250s] + cd opal-3.10.10
[  250s] + DOCDIR=/home/abuild/rpmbuild/BUILDROOT/opal-3.10.10-12.10.x86_64/usr/share/doc/packages/libopal3_10_10
[  250s] + export LC_ALL=C
[  250s] + LC_ALL=C
[  250s] + export DOCDIR
[  250s] + /usr/bin/mkdir -p /home/abuild/rpmbuild/BUILDROOT/opal-3.10.10-12.10.x86_64/usr/share/doc/packages/libopal3_10_10
[  250s] + cp -pr mpl-1.0.htm /home/abuild/rpmbuild/BUILDROOT/opal-3.10.10-12.10.x86_64/usr/share/doc/packages/libopal3_10_10
[  250s] + exit 0

[1] https://build.opensuse.org/request/show/613959

[2] complete build log: https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:A:DVD/opal/standard/x86_64
Comment 1 Tomáš Chvátal 2018-06-22 10:24:01 UTC
No maintainer/bugowner, adding the project ones.

Seems there is opal-3.10.11 and also current upstream seem to be 3.16.2.

But in the end it seems that everyone still uses the 3.10 for some reason, see:
https://tracker.debian.org/pkg/opal
Comment 2 Dominique Leuenberger 2018-06-28 12:27:42 UTC
The failure is due to

https://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git/commit/?h=v4.17.3&id=c26dd817d99bc50acf2667ee27c39414a7a6638e

uapi: remove telephony headers
ixjuser.h includes the telephony.h header. Other than that no kernel
code uses any of these headers. The last user of the ixjuser.h header
has been removed in commit 7326446c728 (Staging: remove telephony
drivers), more than 5 years ago.
Comment 3 Dominique Leuenberger 2018-06-28 13:17:42 UTC
Possible fix for opal submitted:

619583  State:new        By:dimstar      When:2018-06-28T12:57:23
        submit:          home:dimstar:Factory/opal@4 ->                     network:telephony
        Descr: - Pass --disable-ixj to configure instead of --enable-ixj: Linux
               4.17 no longer brings the public telephony headers and future
               versions of opal (starting with 3.14) would not support xJACK
               neither (addresses boo#1098764).
Comment 4 Dominique Leuenberger 2018-07-02 09:26:44 UTC
(In reply to Dominique Leuenberger from comment #3)
> Possible fix for opal submitted:
> 
> 619583  State:new        By:dimstar      When:2018-06-28T12:57:23
>         submit:          home:dimstar:Factory/opal@4 ->                    
> network:telephony
>         Descr: - Pass --disable-ixj to configure instead of --enable-ixj:
> Linux
>                4.17 no longer brings the public telephony headers and future
>                versions of opal (starting with 3.14) would not support xJACK
>                neither (addresses boo#1098764).

Was accepted by a maintainer (fcrozat) and forwarded to Factory.